MultiWii config program

Discussion in 'Arduino/MultiWii Forum' started by little nellie, Jun 11, 2012.

  1. little nellie

    little nellie New Member

    Joined:
    May 23, 2012
    Messages:
    63
    Location:
    SF Bay Area, Calif. The great USA
    I downloaded the config program from, unzipped the package

    http://code.google.com/p/multiwii/downloads/detail?name=MultiWii_1_9.zip&can=2&q=

    unzipped the package, click on the MultiWii config program and it return an error that can't find javaw.exe

    That files is located in arduino-1.0.1\java\bin

    Is there a file structure these programs expect to be located? Looks like the config program is calling for javaw.exe and don't see it where it thinks it should be.

    Thanks for your time

    Silas
     
  2. mailman35

    mailman35 New Member

    Joined:
    Jan 27, 2012
    Messages:
    824
    Location:
    Eastern PA
    if it is a java applet, then java should be installed on the box. or otherwise referenced in the system path.
    also ive heard that if you can you are better off upgrading the board to v2.0 code as it has alot of fixes that the 1.9 doesnt.
    there is a big thread over on rcg.
     
  3. little nellie

    little nellie New Member

    Joined:
    May 23, 2012
    Messages:
    63
    Location:
    SF Bay Area, Calif. The great USA
    Java is already in the box... when starting the config program, it ask for javaw.exe.

    I try to run javaw.exe first, no luck either. Until I get this working, I can config the unit.
     
  4. mailman35

    mailman35 New Member

    Joined:
    Jan 27, 2012
    Messages:
    824
    Location:
    Eastern PA
    what code rev are you running?
     
  5. little nellie

    little nellie New Member

    Joined:
    May 23, 2012
    Messages:
    63
    Location:
    SF Bay Area, Calif. The great USA
    I tired V1.9 with 1.0.1 and V2.0 with 1.0. If I read correctly, I shouldn't have to have arduino s/w runing before I start the config s/w. I tried them on first, it doesn't matter and still get the error. I must be missing a step somewhere. There is no install files after the download that I can see, Only exec files.

    s
     
  6. mailman35

    mailman35 New Member

    Joined:
    Jan 27, 2012
    Messages:
    824
    Location:
    Eastern PA
    i was able to get mine to finially load.
    reloaded newest java, downloaded the arundo program from google. (take care of doing the proper defines in config.h)

    uploaded the newest 2.0 multiwii code to the board(cirus multiwii se)
    did some searching and it seems the multiwiiconf 64bit wont run, more then likely due to the fact that java is running at 32bit not 64.
    but in the end i was able to get the config to open. :)
     
  7. little nellie

    little nellie New Member

    Joined:
    May 23, 2012
    Messages:
    63
    Location:
    SF Bay Area, Calif. The great USA
    humm.. now I need to find a 32 bit box.

    thanks for the tip.

    s
     
  8. mailman35

    mailman35 New Member

    Joined:
    Jan 27, 2012
    Messages:
    824
    Location:
    Eastern PA
    no you should be able to run it under win7 64 w/o having to worry about a 32bit os.
    i assume that you can see the comport under dev manager in windows? if not then you need to install the driver for it.

    and it might help to check for stuck processes of javaw.exe in taskman.
     
    Last edited by a moderator: Jun 12, 2012
  9. mailman35

    mailman35 New Member

    Joined:
    Jan 27, 2012
    Messages:
    824
    Location:
    Eastern PA
    http://arduino.cc/en/Main/Software
    dowload what ever version you need, then select the right comport in it, as well as the proper board version, open the code in the multiwii directory, uncomment some lines in the config.h, verify and compile then upload and it should be good to start working.
     
  10. kad

    kad Quad Crasher

    Joined:
    Jun 26, 2012
    Messages:
    5
    Location:
    Poughkeepsie, NY
    The 32 bit version runs just fine on my Win 7 64 bit machine (although the 64 bit version will not run at all).

    -K
     

Share This Page